%global srcname django-picklefield
%global modname picklefield

%global forgeurl https://github.com/koed00/django-q

Name:           python-%{srcname}
Version:        3.0.1
Release:    1%{?dist}
Summary:        A multiprocessing distributed task queue for Django
License:        MIT
URL:            http://github.com/gintas/django-picklefield
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3dist(django)

%global _description %{expand:
django-picklefield provides an implementation of a pickled object field. Such
fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet \#1694 by Taavi
Taijala, which is in turn based on Django snippet \#513 by Oliver Beattie.}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%python3 -m django test -v2 --settings=tests.settings \
  -k PickledObjectFieldTests \
  -k PickledObjectFieldDeconstructTests


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-1
- initial build
